



<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      
        <meta name="description" content="Network API, manipulate your network infrastructure as code">
      
      
        <link rel="canonical" href="https://davidban77.gitlab.io/netapi/api/api_probe_reference/">
      
      
        <meta name="author" content="David Flores">
      
      
        <meta name="lang:clipboard.copy" content="Copy to clipboard">
      
        <meta name="lang:clipboard.copied" content="Copied to clipboard">
      
        <meta name="lang:search.language" content="en">
      
        <meta name="lang:search.pipeline.stopwords" content="True">
      
        <meta name="lang:search.pipeline.trimmer" content="True">
      
        <meta name="lang:search.result.none" content="No matching documents">
      
        <meta name="lang:search.result.one" content="1 matching document">
      
        <meta name="lang:search.result.other" content="# matching documents">
      
        <meta name="lang:search.tokenizer" content="[\s\-]+">
      
      <link rel="shortcut icon" href="../../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.0.4, mkdocs-material-4.4.3">
    
    
      
        <title>Builders and Probe Objects - NetAPI</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/application.30686662.css">
      
        <link rel="stylesheet" href="../../assets/stylesheets/application-palette.a8b3c06d.css">
      
      
        
        
        <meta name="theme-color" content="#009688">
      
    
    
      <script src="../../assets/javascripts/modernizr.74668098.js"></script>
    
    
      
        <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700|Roboto+Mono&display=fallback">
        <style>body,input{font-family:"Roboto","Helvetica Neue",Helvetica,Arial,sans-serif}code,kbd,pre{font-family:"Roboto Mono","Courier New",Courier,monospace}</style>
      
    
    <link rel="stylesheet" href="../../assets/fonts/material-icons.css">
    
    
    
      
    
    
  </head>
  
    
    
    <body dir="ltr" data-md-color-primary="teal" data-md-color-accent="teal">
  
    <svg class="md-svg">
      <defs>
        
        
          <svg xmlns="http://www.w3.org/2000/svg" width="500" height="500" viewBox="0 0 500 500" id="__gitlab"><path fill="currentColor" d="M93.667 473.347l90.684-279.097H2.983l90.684 279.097z" transform="translate(156.198 1.16)"/><path fill="currentColor" d="M221.333 473.345L130.649 194.25H3.557l217.776 279.095z" transform="translate(28.531 1.16)" opacity=".7"/><path fill="currentColor" d="M32 195.155L4.441 279.97a18.773 18.773 0 0 0 6.821 20.99l238.514 173.29L32 195.155z" transform="translate(.089 .256)" opacity=".5"/><path fill="currentColor" d="M2.667-84.844h127.092L75.14-252.942c-2.811-8.649-15.047-8.649-17.856 0L2.667-84.844z" transform="translate(29.422 280.256)"/><path fill="currentColor" d="M2.667 473.345L93.351 194.25h127.092L2.667 473.345z" transform="translate(247.198 1.16)" opacity=".7"/><path fill="currentColor" d="M221.334 195.155l27.559 84.815a18.772 18.772 0 0 1-6.821 20.99L3.557 474.25l217.777-279.095z" transform="translate(246.307 .256)" opacity=".5"/><path fill="currentColor" d="M130.667-84.844H3.575l54.618-168.098c2.811-8.649 15.047-8.649 17.856 0l54.618 168.098z" transform="translate(336.974 280.256)"/></svg>
        
      </defs>
    </svg>
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" data-md-component="overlay" for="__drawer"></label>
    
      <a href="#__init__" tabindex="1" class="md-skip">
        Skip to content
      </a>
    
    
      <header class="md-header" data-md-component="header">
  <nav class="md-header-nav md-grid">
    <div class="md-flex">
      <div class="md-flex__cell md-flex__cell--shrink">
        <a href="https://davidban77.gitlab.io/netapi" title="NetAPI" class="md-header-nav__button md-logo">
          
            <i class="md-icon"></i>
          
        </a>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        <label class="md-icon md-icon--menu md-header-nav__button" for="__drawer"></label>
      </div>
      <div class="md-flex__cell md-flex__cell--stretch">
        <div class="md-flex__ellipsis md-header-nav__title" data-md-component="title">
          
            <span class="md-header-nav__topic">
              NetAPI
            </span>
            <span class="md-header-nav__topic">
              
                Builders and Probe Objects
              
            </span>
          
        </div>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        
          <label class="md-icon md-icon--search md-header-nav__button" for="__search"></label>
          
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="query" data-md-state="active">
      <label class="md-icon md-search__icon" for="__search"></label>
      <button type="reset" class="md-icon md-search__icon" data-md-component="reset" tabindex="-1">
        &#xE5CD;
      </button>
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="result">
          <div class="md-search-result__meta">
            Type to start searching
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
        
      </div>
      
        <div class="md-flex__cell md-flex__cell--shrink">
          <div class="md-header-nav__source">
            


  

<a href="https://gitlab.com/the-networkers/netaudithor/netapi/" title="Go to repository" class="md-source" data-md-source="gitlab">
  
    <div class="md-source__icon">
      <svg viewBox="0 0 24 24" width="24" height="24">
        <use xlink:href="#__gitlab" width="24" height="24"></use>
      </svg>
    </div>
  
  <div class="md-source__repository">
    netaudithor/netapi
  </div>
</a>
          </div>
        </div>
      
    </div>
  </nav>
</header>
    
    <div class="md-container">
      
        
      
      
        

  

<nav class="md-tabs md-tabs--active" data-md-component="tabs">
  <div class="md-tabs__inner md-grid">
    <ul class="md-tabs__list">
      
        
  <li class="md-tabs__item">
    
      <a href="../.." class="md-tabs__link">
        Overview
      </a>
    
  </li>

      
        
  
  
    
    
  
  
    <li class="md-tabs__item">
      
        <a href="../api_net_reference/" class="md-tabs__link">
          API Reference
        </a>
      
    </li>
  

  

      
        
  
  
    <li class="md-tabs__item">
      
        <a href="../../about/changelog/" class="md-tabs__link">
          About
        </a>
      
    </li>
  

      
    </ul>
  </div>
</nav>
      
      <main class="md-main" role="main">
        <div class="md-main__inner md-grid" data-md-component="container">
          
            
              <div class="md-sidebar md-sidebar--primary" data-md-component="navigation">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    <nav class="md-nav md-nav--primary" data-md-level="0">
  <label class="md-nav__title md-nav__title--site" for="__drawer">
    <a href="https://davidban77.gitlab.io/netapi" title="NetAPI" class="md-nav__button md-logo">
      
        <i class="md-icon"></i>
      
    </a>
    NetAPI
  </label>
  
    <div class="md-nav__source">
      


  

<a href="https://gitlab.com/the-networkers/netaudithor/netapi/" title="Go to repository" class="md-source" data-md-source="gitlab">
  
    <div class="md-source__icon">
      <svg viewBox="0 0 24 24" width="24" height="24">
        <use xlink:href="#__gitlab" width="24" height="24"></use>
      </svg>
    </div>
  
  <div class="md-source__repository">
    netaudithor/netapi
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      


  <li class="md-nav__item">
    <a href="../.." title="Overview" class="md-nav__link">
      Overview
    </a>
  </li>

    
      
      
      

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2" type="checkbox" id="nav-2" checked>
    
    <label class="md-nav__link" for="nav-2">
      API Reference
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-2">
        API Reference
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-1" type="checkbox" id="nav-2-1">
    
    <label class="md-nav__link" for="nav-2-1">
      Net Entities
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-1">
        Net Entities
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_net_reference/" title="Builders and Net Objects" class="md-nav__link">
      Builders and Net Objects
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_net_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
          
          
          


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-2" type="checkbox" id="nav-2-2">
    
    <label class="md-nav__link" for="nav-2-2">
      Connectors
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-2">
        Connectors
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_reference/" title="Builders and Connector Objects" class="md-nav__link">
      Builders and Connector Objects
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_linux_reference/" title="Linux" class="md-nav__link">
      Linux
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
          
          
          

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-3" type="checkbox" id="nav-2-3" checked>
    
    <label class="md-nav__link" for="nav-2-3">
      Probes
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-3">
        Probes
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          

  


  <li class="md-nav__item md-nav__item--active">
    
    <input class="md-toggle md-nav__toggle" data-md-toggle="toc" type="checkbox" id="__toc">
    
    
      <label class="md-nav__link md-nav__link--active" for="__toc">
        Builders and Probe Objects
      </label>
    
    <a href="./" title="Builders and Probe Objects" class="md-nav__link md-nav__link--active">
      Builders and Probe Objects
    </a>
    
      
<nav class="md-nav md-nav--secondary">
  
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#__init__" class="md-nav__link">
    __init__
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingbuilder-objects" class="md-nav__link">
    PingBuilder Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingbuilderget" class="md-nav__link">
    PingBuilder.get()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#ping" class="md-nav__link">
    ping
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#default_ping_analysis" class="md-nav__link">
    default_ping_analysis()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pingresult-objects" class="md-nav__link">
    PingResult Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingresultapplies_result_analysis" class="md-nav__link">
    PingResult.applies_result_analysis()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pingbase-objects" class="md-nav__link">
    PingBase Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingbaseto_dict" class="md-nav__link">
    PingBase.to_dict()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
    
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_ios_reference/" title="IOS" class="md-nav__link">
      IOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_xe_reference/" title="IOS-XE" class="md-nav__link">
      IOS-XE
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_xr_reference/" title="IOS-XR" class="md-nav__link">
      IOS-XR
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_nxos_reference/" title="NXOS" class="md-nav__link">
      NXOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_junos_reference/" title="JUNOS" class="md-nav__link">
      JUNOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_linux_reference/" title="Linux" class="md-nav__link">
      Linux
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-3" type="checkbox" id="nav-3">
    
    <label class="md-nav__link" for="nav-3">
      About
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-3">
        About
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../about/changelog/" title="Release Notes" class="md-nav__link">
      Release Notes
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../about/license/" title="License" class="md-nav__link">
      License
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              <div class="md-sidebar md-sidebar--secondary" data-md-component="toc">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary">
  
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#__init__" class="md-nav__link">
    __init__
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingbuilder-objects" class="md-nav__link">
    PingBuilder Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingbuilderget" class="md-nav__link">
    PingBuilder.get()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#ping" class="md-nav__link">
    ping
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#default_ping_analysis" class="md-nav__link">
    default_ping_analysis()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pingresult-objects" class="md-nav__link">
    PingResult Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingresultapplies_result_analysis" class="md-nav__link">
    PingResult.applies_result_analysis()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pingbase-objects" class="md-nav__link">
    PingBase Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#pingbaseto_dict" class="md-nav__link">
    PingBase.to_dict()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content">
            <article class="md-content__inner md-typeset">
              
                
                  <a href="https://gitlab.com/the-networkers/netaudithor/netapi/edit/master/docs/api/api_probe_reference.md" title="Edit this page" class="md-icon md-content__icon">&#xE3C9;</a>
                
                
                  <h1>Builders and Probe Objects</h1>
                
                <h2 id="__init__"><code>__init__</code><a class="headerlink" href="#__init__" title="Permanent link">*</a></h2>
<h3 id="pingbuilder-objects"><code>PingBuilder</code> Objects<a class="headerlink" href="#pingbuilder-objects" title="Permanent link">*</a></h3>
<p>Builder used to create Ping object.</p>
<p><strong>Ping object instatiation:</strong></p>
<ul>
<li><code>connector</code>: <code>Device</code> instance object</li>
<li><code>target</code>: string (required)</li>
</ul>
<p><strong>Examples:</strong></p>
<div class="codehilite"><pre><span></span><span class="kn">from</span> <span class="nn">netapi.probe</span> <span class="kn">import</span> <span class="n">PingBuilder</span>
<span class="kn">from</span> <span class="nn">netapi.connector.linux.subprocesser</span> <span class="kn">import</span> <span class="n">Device</span>

<span class="n">connector</span> <span class="o">=</span> <span class="n">Device</span><span class="p">()</span>
<span class="n">ping</span> <span class="o">=</span> <span class="n">PingBuilder</span><span class="p">()</span>

<span class="n">p1</span> <span class="o">=</span> <span class="n">ping</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="n">connector</span><span class="p">,</span> <span class="n">target</span><span class="o">=</span><span class="s2">&quot;1.1.1.1&quot;</span><span class="p">)</span>
<span class="k">print</span><span class="p">(</span><span class="n">p1</span><span class="p">)</span>
<span class="c1"># Ping(target=&#39;1.1.1.1&#39;, target_ip=None, ...)</span>
</pre></div>


<h4 id="pingbuilderget"><code>PingBuilder.get()</code><a class="headerlink" href="#pingbuilderget" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">get</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">connector</span><span class="p">,</span> <span class="n">entity</span><span class="o">=</span><span class="bp">True</span><span class="p">,</span> <span class="n">parameters</span><span class="o">=</span><span class="p">{},</span> <span class="n">ping_params</span><span class="p">)</span>
</pre></div>


<h2 id="ping"><code>ping</code><a class="headerlink" href="#ping" title="Permanent link">*</a></h2>
<p>PingBase main dataclass object where each implementation derive its attributes.</p>
<p>It is composed of <code>PingBase</code> and <code>PingResult</code> objects.</p>
<h3 id="default_ping_analysis"><code>default_ping_analysis()</code><a class="headerlink" href="#default_ping_analysis" title="Permanent link">*</a></h3>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">default_ping_analysis</span><span class="p">(</span><span class="n">packet_loss</span><span class="p">)</span>
</pre></div>


<h3 id="pingresult-objects"><code>PingResult</code> Objects<a class="headerlink" href="#pingresult-objects" title="Permanent link">*</a></h3>
<p>Ping results instance created from a Ping execution.</p>
<p><strong>Attributes:</strong></p>
<ul>
<li><code>probes_sent</code>: (int) Number of probes sent</li>
<li><code>probes_received</code>: (int) Number of probes received</li>
<li><code>packet_loss</code>: (float) percentage of packet loss on the ping execution. /100</li>
<li><code>rtt_min</code>: (float) Minimum RTT encountered</li>
<li><code>rtt_avg</code>: (float) Average RTT encountered</li>
<li><code>rtt_max</code>: (float) Maximum RTT encountered</li>
<li><code>warning_thld</code> (int) Percentage when the ping execution packet loss is considered
warning. i.e. 80 (meaning 80%)</li>
<li><code>critical_thld</code> (int) Percentage when the ping execution packet loss is considered
critical. i.e. 80 (meaning 80%)</li>
<li><code>status</code>: (str) ok/warning/critical/no-route reflecting the status of the result</li>
<li><code>status_code</code>: (int) same as <code>status</code> but in numbers for visualization (0/1/2/3).
Result of analysis applied</li>
<li><code>status_up</code>: (bool) Flag if the ping was successful in overall. Result of analysis
applied</li>
</ul>
<h4 id="pingresultapplies_result_analysis"><code>PingResult.applies_result_analysis()</code><a class="headerlink" href="#pingresultapplies_result_analysis" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@validator</span><span class="p">(</span><span class="s2">&quot;apply_analysis&quot;</span><span class="p">)</span>
<span class="k">def</span> <span class="nf">applies_result_analysis</span><span class="p">(</span><span class="bp">cls</span><span class="p">,</span> <span class="n">v</span><span class="p">,</span> <span class="n">values</span><span class="p">)</span>
</pre></div>


<h3 id="pingbase-objects"><code>PingBase</code> Objects<a class="headerlink" href="#pingbase-objects" title="Permanent link">*</a></h3>
<p>Ping instance creator. It creates a ping object based on parameters passed to it for
construction.</p>
<p><strong>Attributes:</strong></p>
<ul>
<li><code>target</code> (str): IP or Host target</li>
<li><code>target_ip</code> (IPAddress): IP address of target (Optional)</li>
<li><code>target_name</code> (str): Hostname of target (Optional)</li>
<li><code>resolve_target</code> (bool): Resolve IP address and name assigned to attributes
for the likes of <code>target_ip</code> and <code>target_name</code></li>
<li><code>source</code> (str): Interface/Name source of the request</li>
<li><code>source_ip</code> (IPAddress): IP Address of the source of the request</li>
<li><code>instance</code> (str): instance/vrf for the ping object</li>
<li><code>count</code> (int): Number of probes</li>
<li><code>timeout</code> (int): Timeout for when a probe is marked as unreachable</li>
<li><code>size</code> (int): Packet size of the ping probes</li>
<li><code>df_bit</code> (bool): Do not fragment bit to be set</li>
<li><code>interval</code> (float): Time interval between each probe</li>
<li><code>ttl</code> (int): Time-to-live value for the probes</li>
<li><code>result</code>: (PingResult) result object of the execution</li>
<li><code>connector</code>: Device object used to perform the necessary connection.</li>
<li><code>metadata</code>: Metadata object which contains information about the current object.</li>
<li><code>ping_cmd</code>: Ping command to be used for execution</li>
</ul>
<h4 id="pingbaseto_dict"><code>PingBase.to_dict()</code><a class="headerlink" href="#pingbaseto_dict" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">to_dict</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>
                
                  
                
              
              
                


              
            </article>
          </div>
        </div>
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid">
        
          <a href="../api_connector_linux_reference/" title="Linux" class="md-flex md-footer-nav__link md-footer-nav__link--prev" rel="prev">
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-back md-footer-nav__button"></i>
            </div>
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Previous
                </span>
                Linux
              </span>
            </div>
          </a>
        
        
          <a href="../api_probe_eos_reference/" title="EOS" class="md-flex md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                EOS
              </span>
            </div>
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-forward md-footer-nav__button"></i>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
        powered by
        <a href="https://www.mkdocs.org">MkDocs</a>
        and
        <a href="https://squidfunk.github.io/mkdocs-material/">
          Material for MkDocs</a>
      </div>
      
  <div class="md-footer-social">
    <link rel="stylesheet" href="../../assets/fonts/font-awesome.css">
    
      <a href="https://github.com/davidban77" class="md-footer-social__link fa fa-github"></a>
    
      <a href="https://twitter.com/davidban77" class="md-footer-social__link fa fa-twitter"></a>
    
  </div>

    </div>
  </div>
</footer>
      
    </div>
    
      <script src="../../assets/javascripts/application.ac79c3b0.js"></script>
      
      <script>app.initialize({version:"1.0.4",url:{base:"../.."}})</script>
      
    
  </body>
</html>